<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      layout:decorate="~{/layoute/layout}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Save Employee</title>
</head>

<body>
<div layout:fragment="content">
    <h1 class="h3 mb-3">Broadcast</h1>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title mb-0">Broadcast</h5>
                </div>
                <div class="card-body">
                    <form th:action="@{/broadcast/save}"
                          th:object="${broadcast}" method="POST">

                        <!-- Add hidden form field to handle update -->
                        <input type="hidden" th:field="*{id}"/>

                        <input type="text" th:field="*{informasi}"
                               class="form-control mb-4 col-4" placeholder="Informasi">

                        <input type="text" th:field="*{link}"
                               class="form-control mb-4 col-4" placeholder="Link">

                        <button type="submit" class="btn btn-info col-2">Save</button>

                    </form>
                    <hr>
                    <a th:href="@{/broadcast/showBroadcast}">Back to Broadcast List</a>
                </div>
            </div>
        </div>
    </div>
</div>
</body>

</html>










